Vai al contenuto

condenser_api.get_expiring_vesting_delegations ​

since HF17

Purpose ​

Restituisce le deleghe di vesting in scadenza per un account. Parametri: account:string, after:timestamp

account (string)after (timestamp)
"steemit""2018-01-01T00:00:00"Interroga il vesting in scadenza dopo il 1° gennaio 2018.
"alice""2017-12-01T00:00:00"Interroga il vesting in scadenza dopo il 1° dicembre 2017.

Parameters ​

PARAMETERS
json
[
  "",
  "1970-01-01T00:00:00"
]

Example ​

Example 1 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "condenser_api.get_expiring_vesting_delegations",
    "params": [
      "steemit",
      "2018-01-01T00:00:00"
    ],
    "id": 1
  }'

Example 2 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "condenser_api.get_expiring_vesting_delegations",
    "params": [
      "alice",
      "2017-12-01T00:00:00"
    ],
    "id": 1
  }'

Response ​

RESPONSE
json
[
  {
    "id": 0,
    "delegator": "",
    "vesting_shares": "0.000000 VESTS",
    "expiration": "1970-01-01T00:00:00"
  }
]